import { Injectable } from '@angular/core';
import { map, Observable } from 'rxjs';
import { HttpRequestService } from '../../resources/http-request.service';

@Injectable({
  providedIn: 'root'
})
export class DispatchService {

  private _url: string;
  constructor( private _httpRequestService:HttpRequestService ) {
    this._url = 'acquisition-management/dispatch';
  }

  public getAllDistpach() : Observable<any> {
    return this._httpRequestService.getQuery(`${this._url}/get-all-dispatch`).pipe(map((data:any) => data));
  }
}
